%define name ksnuffle
%define version 2.2
%define release 6mdk

Name: 		%name
Summary: 	Network traffic monitor
Version: 	%version
Release: 	%release
Source: 	%name-%version.tar.bz2
Group: 		Monitoring
BuildRoot: 	%_tmppath/%{name}-buildroot
License: 	GPL
Url: 		http://www.quaking.demon.co.uk/ksnuffle.html
%ifarch alpha %ix86
BuildRequires: egcs egcs-c++
%endif


%description
Ksnuffle is a network traffic monitor. It can display, record and replay
traffic passing a particular interface. It supports multiple concurrent 
monitor and replay; it also contains facilities to allow selected non-root
users to monitor the network. KSnuffle contains plugin support; this version
includes plugins for traffic summary (total and end-to-end), DNS lookups, and
TCP/IP stream monitoring)

%prep

%setup -q

%build
%ifarch alpha %ix86
export CC="kgcc"
export CXX="kg++"
%endif

CFLAGS="%optflags" CXXFLAGS="%optflags" ./configure --prefix=%_prefix \
	    --datadir=%_datadir \
	    --mandir=%_mandir \
	    --disable-rpath \
	    --disable-debug 

%make

%install

mkdir -p $RPM_BUILD_ROOT%_datadir/icons/locolor/16x16/apps/

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/ksnuffle" \
title="Ksnuffle" \
longtitle="Network traffic monitor" \
icon="monitoring_section.xpm" \   
needs="x11" \
section="Applications/Monitoring"
EOF
)


%post
%{update_menus}

%postun
%{clean_menus}



%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755)
%doc ARCH AUTHORS INSTALL README TODO PLUGINS COPYING

%_bindir/*

%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/ksnuffle
%dir %_datadir/apps/ksnuffle/plugins
%_datadir/apps/ksnuffle/plugins/*.so
%_datadir/apps/ksnuffle/plugins/*.spec

%dir %_datadir/apps/ksnuffle/toolbar
%_datadir/apps/ksnuffle/toolbar/*.png
%_datadir/apps/ksnuffle/toolbar/*.bmp

%_datadir/icons/locolor/16x16/apps/*.png

%dir %_docdir/HTML/en/ksnuffle 
%_docdir/HTML/en/ksnuffle/*.png
%_docdir/HTML/en/ksnuffle/*.html
%_docdir/HTML/en/ksnuffle/*.gif

%_menudir/*

%changelog
* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrasoft.com> 2.2-6mdk
- Rebuild
- Make rpmlint happy
- Fix spec file

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrasoft.com> 2.2-5mdk
- Fix icon

* Thu Aug 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-4mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-3mdk
- Move KDE menu entry in %%_datadir/applnk
- PPC: Build with gcc
- Alpha & %%ix86: BuildRequires: egcs & ecgs-c++
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrasoft.com> 2.2-2mdk
- Add build requires and clean spec

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- new in contribs
